QuantLib: CPIBondHelper Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
CPIBondHelper Class Reference

CPI bond helper for curve bootstrap. More...

`#include <ql/termstructures/yield/bondhelpers.hpp>`

Inheritance diagram for CPIBondHelper:
[legend]

## Public Member Functions
| CPIBondHelper (const Handle< Quote > &price, Natural settlementDays, Real faceAmount, bool growthOnly, Real baseCPI, const Period &observationLag, const ext::shared_ptr< ZeroInflationIndex > &cpiIndex, CPI::InterpolationType observationInterpolation, const Schedule &schedule, const std::vector< Rate > &fixedRate, const DayCounter &accrualDayCounter, BusinessDayConvention paymentConvention=Following, const Date &issueDate=Date(), const Calendar &paymentCalendar=Calendar(), const Period &exCouponPeriod=Period(), const Calendar &exCouponCalendar=Calendar(), BusinessDayConvention exCouponConvention=Unadjusted, bool exCouponEndOfMonth=false, Bond::Price::Type priceType=Bond::Price::Clean)
QL_DEPRECATED | CPIBondHelper (const Handle< Quote > &price, Natural settlementDays, Real faceAmount, bool growthOnly, Real baseCPI, const Period &observationLag, const ext::shared_ptr< ZeroInflationIndex > &cpiIndex, CPI::InterpolationType observationInterpolation, const Schedule &schedule, const std::vector< Rate > &fixedRate, const DayCounter &accrualDayCounter, BusinessDayConvention paymentConvention, const Date &issueDate, const Calendar &paymentCalendar, const Period &exCouponPeriod, const Calendar &exCouponCalendar, BusinessDayConvention exCouponConvention, bool exCouponEndOfMonth, bool useCleanPrice)
Additional inspectors
ext::shared_ptr< CPIBond > | cpiBond () const
Public Member Functions inherited from BondHelper
| BondHelper (const Handle< Quote > &price, const ext::shared_ptr< Bond > &bond, Bond::Price::Type priceType=Bond::Price::Clean)
QL_DEPRECATED | BondHelper (const Handle< Quote > &price, const ext::shared_ptr< Bond > &bond, bool useCleanPrice)
Real | impliedQuote () const
void | setTermStructure (YieldTermStructure *)
ext::shared_ptr< Bond > | bond () const
QL_DEPRECATED bool | useCleanPrice () const
Bond::Price::Type | priceType () const
Public Member Functions inherited from BootstrapHelper< TS >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
Real | quoteError () const
virtual void | setTermStructure (TS *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | maturityDate () const
| instrument's maturity date
virtual Date | latestRelevantDate () const
| latest relevant date More...
virtual Date | pillarDate () const
| pillar date
virtual Date | latestDate () const
| latest date More...
virtual void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Visitability
ext::shared_ptr< CPIBond > | cpiBond_
void | accept (AcyclicVisitor &)

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from BondHelper
ext::shared_ptr< Bond > | bond_
RelinkableHandle< YieldTermStructure > | termStructureHandle_
Bond::Price::Type | priceType_
Protected Attributes inherited from BootstrapHelper< TS >
Handle< Quote > | quote_
TS * | termStructure_
Date | earliestDate_
Date | latestDate_
Date | maturityDate_
Date | latestRelevantDate_
Date | pillarDate_

## Detailed Description

CPI bond helper for curve bootstrap.

## Constructor & Destructor Documentation

## ◆ CPIBondHelper()

QL_DEPRECATED CPIBondHelper | ( | const Handle< Quote > & | price,
|  | Natural | settlementDays,
|  | Real | faceAmount,
|  | bool | growthOnly,
|  | Real | baseCPI,
|  | const Period & | observationLag,
|  | const ext::shared_ptr< ZeroInflationIndex > & | cpiIndex,
|  | CPI::InterpolationType | observationInterpolation,
|  | const Schedule & | schedule,
|  | const std::vector< Rate > & | fixedRate,
|  | const DayCounter & | accrualDayCounter,
|  | BusinessDayConvention | paymentConvention,
|  | const Date & | issueDate,
|  | const Calendar & | paymentCalendar,
|  | const Period & | exCouponPeriod,
|  | const Calendar & | exCouponCalendar,
|  | BusinessDayConvention | exCouponConvention,
|  | bool | exCouponEndOfMonth,
|  | bool | useCleanPrice
| ) |  |

Deprecated:
  Use the other overload instead. Deprecated in version 1.18.